checkFile {AutoDeskR} | R Documentation

## Check the Status of a Translated File.

### Description

Check the status of a recently translated file using the Model Derivative API.

### Usage

    checkFile(urn = NULL, token = NULL)

### Arguments

`urn` | A string. Source URN (objectId) for the file. Note the URN must be Base64 encoded. To encode the URN, see, for example, the `jsonlite::base64_enc` function.
`token` | A string. Token generated with `getToken` function with `data:read` and `data:write` scopes.

### See Also

https://developer.autodesk.com/en/docs/model-derivative/v2/overview/

### Examples

    ## Not run:
    # Check the status of the translated "aerial.dwg" svf file
    resp <- checkFile(urn = myEncodedUrn, token = myToken)
    resp

    ## End(Not run)

[Package AutoDeskR version 0.1.3 Index]